summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog6
-rwxr-xr-xscripts/sd-all14
2 files changed, 20 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 6a5a16c..9031d91 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+liw-automation (8.6) squeeze; urgency=low
+
+ * Add sd-all script.
+
+ -- Lars Wirzenius <liw@liw.fi> Thu, 30 Dec 2010 10:47:04 +0000
+
liw-automation (8.5) squeeze; urgency=low
* Use current location of Journal index file.
diff --git a/scripts/sd-all b/scripts/sd-all
new file mode 100755
index 0000000..15002cc
--- /dev/null
+++ b/scripts/sd-all
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+awk '
+ NF == 0 { next }
+ $1 ~ /#/ { next }
+ { print $1 }
+' "$HOME/.sd-publish-all.conf" |
+while read repo
+do
+ export SD_REPO="$repo"
+ sd "$@" || exit 1
+done